%define	module	File-NCopy
%define	name	perl-%{module}
%define	version	0.34
%define	release	1mdk

Summary: 	Copies files to directories, or a single file to another file.
Name:		%{name} 
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Development/Perl
BuildArch:	noarch
Source0: 	http://www.cpan.org/authors/id/GABOR/%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org/
BuildRequires:	perl-devel
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot/
Requires: 	perl >= 0:5.600

%description
Copies files to directories, or a single file to another file.

This module is needed by eGrail

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%files
%defattr(-,root,root)
%doc Changes
%{_mandir}/*/*
%{perl_vendorlib}/File

%changelog
* Wed Apr 21 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.34-1mdk
- 0.34
- add url tag

* Wed Aug 13 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.32-8mdk
- rebuild for new perl
- drop Prefix tag
- drop Distribution tag
- don't use PREFIX
- use %%makeinstall_std macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.32-7mdk
- rebuild for new auto{prov,req}

* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 0.32-6mdk
- rebuild for perl 5.8.0

* Tue Mar 26 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.32-5mdk
- should be noarch

* Tue Oct 16 2001 Stefan van der Eijk <stefan@eijk.nu> 0.32-4mdk
- BuildRequires: perl-devel

* Wed Jun 20 2001 Christian Belisle <cbelisle@mandrakesoft.com> 0.32-3mdk
- Fixed distribution tag.
- Make a clean RPM with right directories.

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.32-2mdk
- Remove hardcoded references to Distribution and Vendor.
- Rebuild against the latest perl.

* Fri Sep 08 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 0.32-1mdk
- First Mandrake release
- Needed for eGrail
